# Generated by Django 3.1.2 on 2020-10-23 15:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Kegiatan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_kegiatan', models.CharField(max_length=120)),
                ('tanggal_kegiatan', models.DateTimeField()),
                ('detail_kegiatan', models.TextField(max_length=1000)),
            ],
        ),
        migrations.CreateModel(
            name='Orang',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_orang', models.CharField(max_length=120)),
                ('id_line', models.CharField(max_length=20, unique=True)),
                ('kegiata', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Story_6.kegiatan')),
            ],
        ),
    ]
